Api referenceNewsletterDomains

Get a publication domain (Preview)

Preview · Available to selected organizations. Rechecks ownership and certificate status, returning DNS verification records. Domains outside this newsletter's organization or namespace return 404.

GET
/v1/newsletters/{id}/domains/{hostname}

Rechecks ownership and certificate status, returning DNS verification records. Domains outside this newsletter's organization or namespace return 404.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^nl_[0-9a-hjkmnp-tv-z]{16,24}$
hostname*string
Match^(?:[a-z0-9](?:[a-z0-9-]{0,61}[a-z0-9])?\.)+[a-z](?:[a-z0-9-]{0,61}[a-z0-9])?$
Lengthlength <= 253

Response Body

Success

application/json
  1. response
organizationId*OrganizationId
Match^org_[0-9a-hjkmnp-tv-z]{16,24}$
topicId*TopicId
Match^unsub_[0-9a-hjkmnp-tv-z]{16,24}$
hostname*string
Match^(?:[a-z0-9](?:[a-z0-9-]{0,61}[a-z0-9])?\.)+[a-z](?:[a-z0-9-]{0,61}[a-z0-9])?$
Lengthlength <= 253
canonicalHostname*string
phase*string
Value in"pending""active""removing""removed""conflict"
active*boolean
hostnameStatus*string|null
sslStatus*string|null
cname*
verificationRecords*array<>
verificationErrors*array<string>
Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.newsletters.domains.get({  "id": "example",  "hostname": "example"});
Example Response
{  "organizationId": "string",  "topicId": "string",  "hostname": "string",  "canonicalHostname": "string",  "phase": "pending",  "active": true,  "hostnameStatus": "string",  "sslStatus": "string",  "cname": {    "type": "CNAME",    "name": "string",    "value": "string"  },  "verificationRecords": [    {      "type": "CNAME",      "name": "string",      "value": "string"    }  ],  "verificationErrors": [    "string"  ]}